Debian Bug report logs - #530024
eth0 Wired interface not managed (on squeeze install/upgrade).

version graph

Package: network-manager; Maintainer for network-manager is Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>; Source for network-manager is src:network-manager.

Reported by: Frank Lin PIAT <fpiat@klabs.be>

Date: Fri, 22 May 2009 22:45:02 UTC

Severity: serious

Tags: patch

Merged with 601816

Found in version network-manager/0.7.1-1

Fixed in version network-manager/0.8.1-4

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#530024; Package network-manager. (Fri, 22 May 2009 22:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lin PIAT <fpiat@klabs.be>:
New Bug report received and forwarded. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 22 May 2009 22:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frank Lin PIAT <fpiat@klabs.be>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: eth0 Wired interface not managed (on squeeze install/upgrade).
Date: Sat, 23 May 2009 00:42:02 +0200
Package: network-manager
Version: 0.7.1-1
Severity: important

The wired network interface isn't managed on a default system (>=squeeze).

As far as i understand, this is because:

On a regular Debian system, the file /etc/network/interfaces contains
| allow-hotplug eth0
| iface eth0 inet dhcp

Also, /etc/NetworkManager/nm-system-settings.conf contains:
| [main]
| plugins=ifupdown,keyfile
| 
| [ifupdown]
| managed=false

I don't know if the right way to solve the issue is to:
 1. comment-out the [eth0] entry in /e/n/interfaces
or
 2. set "managed=true" in nm-system-settings.conf
    (an kill nm-system-settings or reboot)

Note regarding #1: Every user that upgrade their system from lenny to
   squeeze will face this bug. Do you think it's possible to address
   this problem (dispaying note or whatever).

Thanks,

Franklin

--

Meanwhile, I'll document this behaviour in 
 http://wiki.debian.org/NetworkManager

For reference, syslog reports:

NetworkManager: <info>  starting...
NetworkManager: <info>  (eth0): new Ethernet device (driver: 'e1000e')
NetworkManager: <info>  (eth0): exported as
/org/freedesktop/Hal/devices/net_00_1a_6b_38_52_e4
NetworkManager: <info>  Trying to start the system settings daemon...
nm-system-settings:    SCPlugin-Ifupdown: init!
nm-system-settings:    SCPlugin-Ifupdown: update_system_hostname
nm-system-settings:    SCPluginIfupdown: guessed connection type (eth0)
= 802-3-ethernet
nm-system-settings:    SCPlugin-Ifupdown:
update_connection_setting_from_if_block: name:eth0, type:802-3-ethernet,
autoconnect:0, id:Ifupdown (eth0), uuid:
681b428f-0000-0000-0000-000001040000
nm-system-settings:    SCPluginIfupdown: management mode: unmanaged
nm-system-settings:    SCPlugin-Ifupdown: devices added (udi:
/org/freedesktop/Hal/devices/net_00_1a_6b_38_52_e4, iface: eth0)
nm-system-settings:    Ifupdown: get unmanaged devices count: 1


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (200, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages network-manager depends on:
ii  adduser      3.110                       add and remove users and groups
ii  dbus         1.2.12-1                    simple interprocess messaging syst
ii  dhcp3-client 3.1.1-6                     DHCP client
ii  hal          0.5.12~git20090406.46dc48-2 Hardware Abstraction Layer
ii  ifupdown     0.6.8+nmu1                  high level tools to configure netw
ii  libc6        2.9-4                       GNU C Library: Shared libraries
ii  libdbus-1-3  1.2.12-1                    simple interprocess messaging syst
ii  libdbus-glib 0.80-4                      simple interprocess messaging syst
ii  libgcrypt11  1.4.4-2                     LGPL Crypto library - runtime libr
ii  libglib2.0-0 2.20.0-2                    The GLib library of C routines
ii  libgnutls26  2.6.6-1                     the GNU TLS library - runtime libr
ii  libgpg-error 1.6-1                       library for common error values an
ii  libhal1      0.5.12~git20090406.46dc48-2 Hardware Abstraction Layer - share
ii  libnl1       1.1-5                       library for dealing with netlink s
ii  libnm-glib0  0.7.1-1                     network management framework (GLib
ii  libnm-util1  0.7.1-1                     network management framework (shar
ii  libpolkit-db 0.9-3                       library for accessing PolicyKit vi
ii  libpolkit2   0.9-3                       library for accessing PolicyKit
ii  libtasn1-3   1.8-1                       Manage ASN.1 structures (runtime)
ii  libuuid1     1.41.3-1                    universally unique id library
ii  lsb-base     3.2-22                      Linux Standard Base 3.2 init scrip
ii  wpasupplican 0.6.9-2                     client support for WPA and WPA2 (I
ii  zlib1g       1:1.2.3.3.dfsg-13           compression library - runtime

Versions of packages network-manager recommends:
pn  dnsmasq-base                  <none>     (no description available)
ii  iptables                      1.4.3.2-2  administration tools for packet fi
ii  network-manager-gnome         0.7.1-1    network management framework (GNOM
ii  policykit                     0.9-3      framework for managing administrat
pn  ppp                           <none>     (no description available)

Versions of packages network-manager suggests:
ii  avahi-autoipd                 0.6.25-1   Avahi IPv4LL network address confi

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#530024; Package network-manager. (Tue, 26 May 2009 10:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 26 May 2009 10:57:37 GMT) Full text and rfc822 format available.

Message #10 received at 530024@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Frank Lin PIAT <fpiat@klabs.be>, 530024@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#530024: eth0 Wired interface not managed (on squeeze install/upgrade).
Date: Tue, 26 May 2009 12:53:13 +0200
[Message part 1 (text/plain, inline)]
Frank Lin PIAT wrote:
> Package: network-manager
> Version: 0.7.1-1
> Severity: important
> 
> The wired network interface isn't managed on a default system (>=squeeze).
> 
> As far as i understand, this is because:
> 
> On a regular Debian system, the file /etc/network/interfaces contains
> | allow-hotplug eth0
> | iface eth0 inet dhcp
> 
> Also, /etc/NetworkManager/nm-system-settings.conf contains:
> | [main]
> | plugins=ifupdown,keyfile
> | 
> | [ifupdown]
> | managed=false
> 
> I don't know if the right way to solve the issue is to:
>  1. comment-out the [eth0] entry in /e/n/interfaces
> or
>  2. set "managed=true" in nm-system-settings.conf
>     (an kill nm-system-settings or reboot)
> 
> Note regarding #1: Every user that upgrade their system from lenny to
>    squeeze will face this bug. Do you think it's possible to address
>    this problem (dispaying note or whatever).
> 

Hi Frank,

I agree this will be a problem for squeeze.
I'd somehow like to keep managed=false to not break the setup for users with
more complex configurations.

The approach Ubuntu took, is to comment out /e/n/i entries in a postinst
migration script, which matches
(auto,allow-hotplug) <device>
iface <device> inet dhcp

while keeping a backup file of the old configuration.

Haven't decided yet, which route to take and am open for other suggestions.

Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#530024; Package network-manager. (Tue, 26 May 2009 11:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Frank Lin PIAT" <fpiat@klabs.be>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 26 May 2009 11:33:03 GMT) Full text and rfc822 format available.

Message #15 received at 530024@bugs.debian.org (full text, mbox):

From: "Frank Lin PIAT" <fpiat@klabs.be>
To: 530024@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#530024: eth0 Wired interface not managed (on squeeze install/upgrade).
Date: Tue, 26 May 2009 13:26:34 +0200 (CEST)
Michael Biebl wrote:
> Frank Lin PIAT wrote:
>>
>> The wired network interface isn't managed on a default system
>> (>=squeeze).
>> [..]
>> I don't know if the right way to solve the issue is to:
>>  1. comment-out the [eth0] entry in /e/n/interfaces
>> or
>>  2. set "managed=true" in nm-system-settings.conf
>>     (an kill nm-system-settings or reboot)
>>
>> Note regarding #1: Every user that upgrade their system from lenny to
>>    squeeze will face this bug. Do you think it's possible to address
>>    this problem (dispaying note or whatever).
>
> I agree this will be a problem for squeeze.
> I'd somehow like to keep managed=false to not break the setup for users
> with more complex configurations.

I agree.

Also, I believe that network-manager's new behaviour is better that the
previous one. (It is now clear wherether an interface is managed or not).
Specifically, the new behaviour makes it easy to solve problem like
http://wiki.debian.org/InstallingDebianOn/VMs/MicrosoftVirtualPc2007/etch#networking
( http://bugzilla.gnome.org/show_bug.cgi?id=418745 )

> The approach Ubuntu took, is to comment out /e/n/i entries in a postinst
> migration script, which matches
> (auto,allow-hotplug) <device>
> iface <device> inet dhcp

Poking a user managed file is always tricky, but it seems to be an
effective solution to prevent upgrade problems.

Regards,

Franklin





Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#530024; Package network-manager. (Sat, 27 Jun 2009 13:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sat, 27 Jun 2009 13:12:02 GMT) Full text and rfc822 format available.

Message #20 received at 530024@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Frank Lin PIAT <fpiat@klabs.be>, 530024@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#530024: Bug#530024: eth0 Wired interface not managed (on squeeze install/upgrade).
Date: Sat, 27 Jun 2009 14:53:41 +0200
[Message part 1 (text/plain, inline)]
Adding joss' comments from IRC:

[14:34] <Np237> mbiebl, I have uploaded a new network-admin in unstable which
doesn’t touch to interfaces
[14:35] <mbiebl> Np237: thanks
[14:36] <Np237> all that’s left is to make NM work out of the box and we can
finally have a reasonable network setup under GNOME
[14:36] <mbiebl> have you read the relevant bug report?
[14:36] <Np237> yup
[14:36] <Np237> the Ubuntu solution is not that bad, at least it works out of
the box for DHCP users
[14:37] <mbiebl> what do you think about commenting out the interface
configurations in postinst?
[14:37] <Np237> this needs to be reversible, though
[14:37] <mbiebl> this was the one, I was leaning to
[14:37] <Np237> it needs to be reverted in the postrm
[14:38] <Np237> using e.g. a #<NM> prefix instead of # should do the trick
[14:38] <mbiebl> should be doable without too much hassle
[14:39] <Np237> as for static IPs, would it be possible to detect that there is
network although not managed by NM? It would at least allow to tell applications
that they can consider themselves online
[14:40] <Np237> a heuristic like "if there is at least 1 IP configured in
ifconfig, and 0 interface managed by NM, then assume network is up"
[14:41] <mbiebl> http://lwn.net/Articles/338760/
[14:41] <mbiebl> that's upstreams position about that
[14:43] <Np237> this position is understandable, but it ignores the problem of
system installations and upgrades
[14:44] <Np237> so either we have a script that converts a reasonable subset of
static configurations (at least those that can be generated by d-i) into NM
configurations
[14:45] <Np237> or we need a hack that allows NM to simply do as if it wasn’t here
[14:46] <Np237> the first option was chosen by the Xorg people for keyboard
configuration, and it works fine


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#530024; Package network-manager. (Thu, 10 Dec 2009 14:51:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian von Bidder <avbidder@fortytwo.ch>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 10 Dec 2009 14:51:15 GMT) Full text and rfc822 format available.

Message #25 received at 530024@bugs.debian.org (full text, mbox):

From: Adrian von Bidder <avbidder@fortytwo.ch>
To: 530024@bugs.debian.org
Cc: debian-users@lists.debian.org
Subject: NetworkManager: no connection no matter what.
Date: Thu, 10 Dec 2009 15:39:12 +0100
[please cc: me on replies]

Heyho!

Not sure if this is this issue (#530024) or a different one.

After the latest reboot I can not get nm (with knetworkmanager frontend) to 
manage my network in any way.

I tried various permutations of policykit being installed or not, nm-system-
settings.conf on  managed or not, entries in /etc/network/interfaces there 
or not.

At one time knetworkmanager did complain about (dbus) permissions, 
duplicatng the "at_console" policy into a group="netdev" section in 
/etc/dbus-1/system.d/NetworkManager-kde4.conf apparently fixed this.

Now I don't get any complaints that I can tell but knetworkmanager still 
tells me "network management disabled."  I'm a bit at a loss...

Any help appreciated.


Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                                    Version                    Description
+++-=======================================-==========================-
=============================================================
ii  consolekit                              0.4.1-2                    framework for defining and tracking users, 
sessions and seats
ii  dbus                                    1.2.16-2                   simple interprocess messaging system
ii  hal                                     0.5.13-6                   Hardware Abstraction Layer
ii  hal-info                                20091130-1                 Hardware Abstraction Layer - fdi files
ii  network-manager                         0.7.2-2                    network management framework daemon
ii  network-manager-kde                     1:0.8~svn1029786-1         KDE system tray applet for controlling 
NetworkManager
ii  policykit                               0.9-4                      framework for managing administrative policies 
and privileges
ii  udev                                    149-1                      /dev/ and hotplug management daemon

after killing nm-system-settings and /etc/init.d/network-manager stop, 
starting network-manager shows:

+++
Dec 10 15:35:24 laeggerli NetworkManager: <info>  starting...
Dec 10 15:35:24 laeggerli NetworkManager: <info>  Found radio killswitch 
/org/freedesktop/Hal/devices/pci_168c_1c_rfkill_phy0_wlan
Dec 10 15:35:24 laeggerli NetworkManager: <info>  Trying to start the system settings daemon...
Dec 10 15:35:24 laeggerli nm-system-settings:    SCPlugin-Ifupdown: init!
Dec 10 15:35:24 laeggerli nm-system-settings:    SCPlugin-Ifupdown: update_system_hostname
Dec 10 15:35:24 laeggerli nm-system-settings:    SCPluginIfupdown: guessed connection type (eth0) = 802-3-ethernet
Dec 10 15:35:24 laeggerli nm-system-settings:    SCPlugin-Ifupdown: update_connection_setting_from_if_block: name:eth0, 
type:802-3-ethernet, autoconnect:0, id:Ifupdown (eth0), uuid: 681b428f-beaf-8932-dce4-687ed5bae28e
Dec 10 15:35:24 laeggerli nm-system-settings:    SCPluginIfupdown: management mode: managed
Dec 10 15:35:24 laeggerli nm-system-settings:    SCPlugin-Ifupdown: devices added (udi: 
/org/freedesktop/Hal/devices/net_00_1e_68_cd_7b_3f, iface: eth0)
Dec 10 15:35:24 laeggerli nm-system-settings:    SCPluginIfupdown: locking wired connection setting
Dec 10 15:35:24 laeggerli nm-system-settings:    SCPlugin-Ifupdown: devices added (udi: 
/org/freedesktop/Hal/devices/net_00_22_69_77_40_84, iface: wlan0)
Dec 10 15:35:24 laeggerli nm-system-settings:    SCPlugin-Ifupdown: end _init.
Dec 10 15:35:24 laeggerli nm-system-settings: Loaded plugin ifupdown: (C) 2008 Canonical Ltd.  To report bugs please 
use the NetworkManager mailing list.
Dec 10 15:35:24 laeggerli nm-system-settings: Loaded plugin keyfile: (c) 2007 - 2008 Red Hat, Inc.  To report bugs 
please use the NetworkManager mailing list.
Dec 10 15:35:24 laeggerli nm-system-settings:    SCPlugin-Ifupdown: (134687104) ... get_connections.
Dec 10 15:35:24 laeggerli nm-system-settings:    SCPlugin-Ifupdown: (134687104) connections count: 1
+++

killing and restarting knetworkmanager doesn't add anything to that (either 
in .xsession-errors, on the terminal or in syslog)

Kernel is 2.6.31-1-686 (tried 2.6.32-trunk but rt... whatever firmware
is not available yet...); rest of the system is basically squeeze with some
sid bits; originally updated from lenny.

cheers
-- vbi

-- 
Die Schicksalsfrage der Menschenart scheint mir zu sein, ob und in
welchem Maße es ihrer Kulturentwicklung gelingen wird, der Störung des
Zusammenlebens durch den menschlichen Aggressions- und
Selbstvernichtungstrieb Herr zu werden.
		-- Sigmund Freud




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#530024; Package network-manager. (Thu, 10 Dec 2009 15:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian von Bidder <avbidder@fortytwo.ch>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 10 Dec 2009 15:24:03 GMT) Full text and rfc822 format available.

Message #30 received at 530024@bugs.debian.org (full text, mbox):

From: Adrian von Bidder <avbidder@fortytwo.ch>
To: 530024@bugs.debian.org
Cc: debian-users@lists.debian.org
Subject: Re: NetworkManager: no connection no matter what.
Date: Thu, 10 Dec 2009 16:23:15 +0100
Grrmpf.

On Thursday 10 December 2009 15.39:12 Adrian von Bidder wrote:
...
> After the latest reboot I can not get nm (with knetworkmanager frontend)
>  to manage my network in any way.
...

And, of course, right after I wrote this (while fiddling with splashy/grub 
because it apparently somehow killed compositing in X), the next reboot 
fixes network-manager.  I can't remember what I did before that reboot, 
since the last change I tried that failed...

Oh well.

Now the only thing is that knetworkmanager won't start automatically anymore 
(surely session halndling should remember it was there?)


cheers
-- vbi



-- 
featured product: vim - http://vim.org




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#530024; Package network-manager. (Mon, 26 Apr 2010 09:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Mon, 26 Apr 2010 09:30:03 GMT) Full text and rfc822 format available.

Message #35 received at 530024@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: 530024@bugs.debian.org
Subject: eth0 Wired interface not managed (on squeeze install/upgrade)
Date: Mon, 26 Apr 2010 10:34:11 +0200
Hi,

I'd like to add to this discussion that this bug does not only affect
upgrades to squeeze but also fresh suqeeze installs. I experienced this
last week when I installed squeeze via debian-testing-i386-netinst.iso
of 2010/04/22: network-manager happily tried to connect to a wireless
network although the computer still had a cable connection to the
router.

> The approach Ubuntu took, is to comment out /e/n/i entries in a postinst
> migration script, which matches
> (auto,allow-hotplug) <device>
> iface <device> inet dhcp
> 
> while keeping a backup file of the old configuration.
> 
> Haven't decided yet, which route to take and am open for other suggestions.

Instead of hacking on the configuration file, couldn't this get
implemented directly in network-manager code? I mean something like

	if ((auto || allow-hotplug) && dhcp) 
		managed /* i.e. behave as if commented out
		           in /etc/network/interfaces */

 - Fabian






Severity set to 'serious' from 'important' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 14 Sep 2010 02:21:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#530024; Package network-manager. (Sun, 03 Oct 2010 20:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 03 Oct 2010 20:51:06 GMT) Full text and rfc822 format available.

Message #42 received at 530024@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 530024@bugs.debian.org
Subject: network-manager: suggested patch
Date: Sun, 3 Oct 2010 22:49:27 +0200
[Message part 1 (text/plain, inline)]
tags 530024 + patch
thanks

Hi, 

please find attached a patch based on what Ubuntu has done with a few
improvements:
- a single backup per run but the correct one
- disable with a special prefix (to allow the next feature)
- re-enable on removal

It's still somewhat crude, i.e. it's not something I would like to have on
my own package but it works for now. You might also want to tweak the name
of the backup files and maybe remove them on purge...

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer ◈ [Flattr=20693]

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)
[network-manager-0.8.1-3.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Sun, 03 Oct 2010 20:51:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#530024; Package network-manager. (Wed, 20 Oct 2010 00:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 20 Oct 2010 00:30:03 GMT) Full text and rfc822 format available.

Message #49 received at 530024@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Raphael Hertzog <hertzog@debian.org>, 530024@bugs.debian.org, Josselin Mouette <joss@debian.org>
Subject: Re: [Pkg-utopia-maintainers] Bug#530024: network-manager: suggested patch
Date: Wed, 20 Oct 2010 02:27:35 +0200
[Message part 1 (text/plain, inline)]
On 03.10.2010 22:49, Raphael Hertzog wrote:
> tags 530024 + patch
> thanks
> 
> Hi, 
> 
> please find attached a patch based on what Ubuntu has done with a few
> improvements:
> - a single backup per run but the correct one
> - disable with a special prefix (to allow the next feature)
> - re-enable on removal
> 
> It's still somewhat crude, i.e. it's not something I would like to have on
> my own package but it works for now. You might also want to tweak the name
> of the backup files and maybe remove them on purge...

Hi Raphael,

thanks for the patch. A few comments:

a/ running the script will comment out the line
"iface ethX inet dhcp", but not "auto ethX" itself. Is that intentional? I'd say
commenting out all lines relating to ethX would be more logical

b/ I'd change the comment marker to something like
#<Disabled by NetworkManager># or #<Managed by NetworkManager>#

c/ I'm not sure if we should restore /etc/network/interfaces from the backup
file, as this file might have become out-of-sync with /etc/network/interface and
we overwrite changes that were made in between. The question is, if we even need
to create a backup file.
My suggestion would be, to simply remove the comment markers (inplace) for
/etc/network/interface on remove. This would ensure we preserve any local
modifications.
What do you think?


Other than that, it seems to do it's job just fine.

Thanks again,
Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#530024; Package network-manager. (Wed, 20 Oct 2010 06:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 20 Oct 2010 06:21:06 GMT) Full text and rfc822 format available.

Message #54 received at 530024@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 530024@bugs.debian.org, Josselin Mouette <joss@debian.org>
Subject: Re: [Pkg-utopia-maintainers] Bug#530024: network-manager: suggested patch
Date: Wed, 20 Oct 2010 08:18:09 +0200
Hi,

On Wed, 20 Oct 2010, Michael Biebl wrote:
> a/ running the script will comment out the line
> "iface ethX inet dhcp", but not "auto ethX" itself. Is that intentional? I'd say
> commenting out all lines relating to ethX would be more logical

The ubuntu script has a comment about this, so it's known/intentional but
it doesn't hurt AFAIK.

The problem with those auto lines is that you can have multiple interfaces
on the same line so you can't just disable the whole line unless you have
a single interface listed.

> b/ I'd change the comment marker to something like
> #<Disabled by NetworkManager># or #<Managed by NetworkManager>#

Put the value that you want.

> c/ I'm not sure if we should restore /etc/network/interfaces from the backup
> file, as this file might have become out-of-sync with /etc/network/interface and
> we overwrite changes that were made in between. The question is, if we even need
> to create a backup file.

> My suggestion would be, to simply remove the comment markers (inplace) for
> /etc/network/interface on remove. This would ensure we preserve any local
> modifications.
> What do you think?

This is already what the patch does. I have left the backup files for extra
safety but if you feel confident not creating them, I'm fine with this.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer ◈ [Flattr=20693]

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Forcibly Merged 530024 601816. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sat, 30 Oct 2010 00:09:12 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Wed, 17 Nov 2010 23:06:07 GMT) Full text and rfc822 format available.

Notification sent to Frank Lin PIAT <fpiat@klabs.be>:
Bug acknowledged by developer. (Wed, 17 Nov 2010 23:06:07 GMT) Full text and rfc822 format available.

Message #61 received at 530024-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 530024-close@bugs.debian.org
Subject: Bug#530024: fixed in network-manager 0.8.1-4
Date: Wed, 17 Nov 2010 23:02:14 +0000
Source: network-manager
Source-Version: 0.8.1-4

We believe that the bug you reported is fixed in the latest version of
network-manager, which is due to be installed in the Debian FTP archive:

libnm-glib-dev_0.8.1-4_i386.deb
  to main/n/network-manager/libnm-glib-dev_0.8.1-4_i386.deb
libnm-glib-vpn-dev_0.8.1-4_i386.deb
  to main/n/network-manager/libnm-glib-vpn-dev_0.8.1-4_i386.deb
libnm-glib-vpn1_0.8.1-4_i386.deb
  to main/n/network-manager/libnm-glib-vpn1_0.8.1-4_i386.deb
libnm-glib2_0.8.1-4_i386.deb
  to main/n/network-manager/libnm-glib2_0.8.1-4_i386.deb
libnm-util-dev_0.8.1-4_i386.deb
  to main/n/network-manager/libnm-util-dev_0.8.1-4_i386.deb
libnm-util1_0.8.1-4_i386.deb
  to main/n/network-manager/libnm-util1_0.8.1-4_i386.deb
network-manager-dbg_0.8.1-4_i386.deb
  to main/n/network-manager/network-manager-dbg_0.8.1-4_i386.deb
network-manager-dev_0.8.1-4_i386.deb
  to main/n/network-manager/network-manager-dev_0.8.1-4_i386.deb
network-manager_0.8.1-4.debian.tar.gz
  to main/n/network-manager/network-manager_0.8.1-4.debian.tar.gz
network-manager_0.8.1-4.dsc
  to main/n/network-manager/network-manager_0.8.1-4.dsc
network-manager_0.8.1-4_i386.deb
  to main/n/network-manager/network-manager_0.8.1-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 530024@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated network-manager package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 17 Nov 2010 23:28:19 +0100
Source: network-manager
Binary: network-manager network-manager-dev libnm-glib2 libnm-glib-dev libnm-glib-vpn1 libnm-glib-vpn-dev libnm-util1 libnm-util-dev network-manager-dbg
Architecture: source i386
Version: 0.8.1-4
Distribution: unstable
Urgency: low
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 libnm-glib-dev - network management framework (GLib interface)
 libnm-glib-vpn-dev - network management framework (GLib interface)
 libnm-glib-vpn1 - network management framework (GLib VPN shared library)
 libnm-glib2 - network management framework (GLib shared library)
 libnm-util-dev - network management framework (development files)
 libnm-util1 - network management framework (shared library)
 network-manager - network management framework daemon
 network-manager-dbg - network management framework daemon - debugging symbols
 network-manager-dev - network management framework (development files)
Closes: 530024
Changes: 
 network-manager (0.8.1-4) unstable; urgency=low
 .
   [ Raphaël Hertzog ]
   * Integrate debian/ifblacklist_migrate.sh from Ubuntu and install
     it in /usr/lib/NetworkManager. Improve it to disable the interfaces
     with a #NetworkManager# prefix and re-enable them when the package is
     removed. (Closes: #530024)
Checksums-Sha1: 
 e52fdbdbdf0cc922a694d7a37e5871dbfdea9e67 2389 network-manager_0.8.1-4.dsc
 4f89d6d4ebada64ca7a9688b36a27bb0a8e55739 29528 network-manager_0.8.1-4.debian.tar.gz
 0105a4930764ff52f7fb0d8b12e2229b828050ef 900376 network-manager_0.8.1-4_i386.deb
 68e486a3242550cd37999b46c5f549174dd15a2a 230098 network-manager-dev_0.8.1-4_i386.deb
 04b88b47bef956bd3381a350b5638a08b03ac15b 280992 libnm-glib2_0.8.1-4_i386.deb
 7c791fc22eaf1e3efc15d1a13b808ae91af5490d 365178 libnm-glib-dev_0.8.1-4_i386.deb
 2b7894619e55c2ac71bc8f7bf824d17f3ec2305a 235308 libnm-glib-vpn1_0.8.1-4_i386.deb
 279ba3f3a416add3e3b43b14e5632783ed092db4 237882 libnm-glib-vpn-dev_0.8.1-4_i386.deb
 82ff47999cd1deacfddc0cced6e07443962f4c94 315434 libnm-util1_0.8.1-4_i386.deb
 4a5e3a44c60d6ef24ff3518e50c410872faa0701 476690 libnm-util-dev_0.8.1-4_i386.deb
 0af0f58e92b76baedcad2a66d468bb2cf2be64b5 1163166 network-manager-dbg_0.8.1-4_i386.deb
Checksums-Sha256: 
 474c7bbda72b505e3af6debc9c48a9174629166457d57b52b0638b2f922d94ba 2389 network-manager_0.8.1-4.dsc
 31c10e182251cc79df635c5724a799e15df51f52f43a0d29389f3e6cf3aded65 29528 network-manager_0.8.1-4.debian.tar.gz
 f22fc87efade95beae01d58f29f59f5db542d72efdf8fc6c7d7889fe14f592ab 900376 network-manager_0.8.1-4_i386.deb
 c2c037a89b8a609cac61077713f9a7bf24fbca103b484a2504b93e9f12abd1df 230098 network-manager-dev_0.8.1-4_i386.deb
 b0429743dee478e2f4eff01b8b612ae213c9419ed9662fd61639d1dcc07b01bf 280992 libnm-glib2_0.8.1-4_i386.deb
 208f6b78af2e3ebac03af5e67168adbee422e845f678a17ac76a52c85b59ce33 365178 libnm-glib-dev_0.8.1-4_i386.deb
 e8912a7b6257684d5010f38644b053158e741cd47c5d59da11c1ac2076e7e026 235308 libnm-glib-vpn1_0.8.1-4_i386.deb
 d4ce412cd0a0d32b156625b2fd4463e969d9746b1257c28f6bccadbc22f4ba0b 237882 libnm-glib-vpn-dev_0.8.1-4_i386.deb
 e5c7b0765684c597635057b74673b5931210963bb920b8cff3b81e74a46e91b3 315434 libnm-util1_0.8.1-4_i386.deb
 4ec593309327d794b88ba9845cba567129a83a5f66f6ef45b74c3996b9ab78fc 476690 libnm-util-dev_0.8.1-4_i386.deb
 e04e94aabe7a85cd98c4251f1215d917a67877d41af81e3c59cd043c652b30c1 1163166 network-manager-dbg_0.8.1-4_i386.deb
Files: 
 8ff95cc41f0a2c6bc87f2545bb32953d 2389 net optional network-manager_0.8.1-4.dsc
 2ae26fad89968c496904fdead173f3df 29528 net optional network-manager_0.8.1-4.debian.tar.gz
 526e8f9946f9fbf9e661cb3ce02867aa 900376 net optional network-manager_0.8.1-4_i386.deb
 c06d3a651c0cf9c6b77853a2972ae6da 230098 devel optional network-manager-dev_0.8.1-4_i386.deb
 b08ba1be63c22698a6c23afc95c60f1e 280992 libs optional libnm-glib2_0.8.1-4_i386.deb
 af42f8a6ef3a0d54376161cfb8c0c383 365178 libdevel optional libnm-glib-dev_0.8.1-4_i386.deb
 7c47adb30f62d5e440ed00e4a7cccb25 235308 libs optional libnm-glib-vpn1_0.8.1-4_i386.deb
 b1d3518a98e1804d3f89f50edcf347bd 237882 libdevel optional libnm-glib-vpn-dev_0.8.1-4_i386.deb
 0d067b7f7a71d6ec58005bb1d8c5c779 315434 libs optional libnm-util1_0.8.1-4_i386.deb
 cdaa1b351db42e46f5e9c8bb10905f87 476690 libdevel optional libnm-util-dev_0.8.1-4_i386.deb
 f968e0a20142c2cc4068f9c4ccd2e74b 1163166 debug extra network-manager-dbg_0.8.1-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJM5FtXAAoJEGrh3w1gjyLcsQEQAJH0A1+2Z2hDT+j8641o5o2z
UKxs9vj0kFXJUbqXAObDCtBP0+ad50QP5+6yeqtOeBEBVEQKqc6SyMXve6AxasxS
EgCIEPcuckPmVtihJed91ZH34McO/4ZUYHhZbHJfMCNbIGadHNaVs/rTKULu6qDq
zcBOF5t8StORJ3xBfBor0yzJ5NCZ1H1hcOYtr7ib9BxR7xaGzOQOon4yDuR29fka
z/XQZtm60v87/zQhW97dackr/40TattjFaJw9b7/7heoBI6Y4sW0hKJ3jB3eIW08
hNoD+6mU/Jd9Ttmzwl10VKK5AMLr+sumkJmOX/OEsATV5h27RlnGKxm05RU9HGes
w4ewK8lARzMlOIxfb3IynIxCK0EDd8CKOt1k3FGa8rGgYDPRbd/f1feHQQbRIpT4
jREL0YBh2kuaN0CFz3CBubnpnrUIM7EmXABEPB8SplKuIyH/6L9prZNjUbbtpRSM
LeAg6R09Y+27tGsMrJTJT0ueVXVNxT8xC+KbTd66ewyvUtWtCGnqHn2wUZFcZ8Z3
nYTKAtxnreR9vrMLyd3KrQ0NH9LRO8SoNDT7G+ySeyFTjBLOksbzpRI6UDvrXsEd
dYsgbzH1mP+cc5w7wc8NXIF55SsKhor4uUCf1aRUJ0vWXz/Y6p4Q3zxbq7W4SK7o
ajccqoKrvW0VANXWD2xH
=mQbM
-----END PGP SIGNATURE-----





Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Wed, 17 Nov 2010 23:06:08 GMT) Full text and rfc822 format available.

Notification sent to Vladyslav Zakhozhai <vlad@netbox.kiev.ua>:
Bug acknowledged by developer. (Wed, 17 Nov 2010 23:06:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#530024; Package network-manager. (Fri, 19 Nov 2010 12:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michele Petrazzo <michele.petrazzo@unipex.it>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 19 Nov 2010 12:09:03 GMT) Full text and rfc822 format available.

Message #71 received at 530024@bugs.debian.org (full text, mbox):

From: Michele Petrazzo <michele.petrazzo@unipex.it>
To: 530024@bugs.debian.org
Subject: 0.8.1-4 on squeeze
Date: Fri, 19 Nov 2010 12:57:55 +0100
Hello,
I just had a fresh install into a new pc with squeeze and, after about 2
hours that I'm fighting with network-manger and wired ethernet. I see
into the bug 530024 that you have uploaded the new packages only on sid,
but not for squeeze. Will in near future be inside stable release?
This can be a *big* problem for all the users if not, since they cannot
manage wired.

P.s. I dont know if you are the right person for ask, however: there is
the possibility to automatically install network-manager-kde (and
autostart knetworkmanager) when the users install knetwork? Some newbie
can loss theyself if had to look for "a program that can manage a
network...". Or include, inside network-connection -> system settings ->
control panel, a button "for newbiew" for automatically install (if
need) and start knetworkmanager.

Thanks,
Michele from Italy




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#530024; Package network-manager. (Fri, 19 Nov 2010 19:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 19 Nov 2010 19:12:03 GMT) Full text and rfc822 format available.

Message #76 received at 530024@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Michele Petrazzo <michele.petrazzo@unipex.it>, 530024@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#530024: 0.8.1-4 on squeeze
Date: Fri, 19 Nov 2010 20:09:39 +0100
[Message part 1 (text/plain, inline)]
On 19.11.2010 12:57, Michele Petrazzo wrote:
> Hello,
> I just had a fresh install into a new pc with squeeze and, after about 2
> hours that I'm fighting with network-manger and wired ethernet. I see
> into the bug 530024 that you have uploaded the new packages only on sid,
> but not for squeeze. Will in near future be inside stable release?

Yeah, this fix is targetted for squeeze.

Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Dec 2010 07:32:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:06:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.